Skip to navigation

Get a Deposit Address

Retrieves a deposit address by its unique identifier.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the deposit address.

Response headers

X-Request-IdstringOptional
The unique identifier for the request

Response

The deposit address.
idstringRead-only
The unique identifier for the deposit address.
typeenumRead-only

The rail this address receives money over. Determines which per-rail subobject is populated on the response.

Allowed values:
source_idstringRead-only

The identifier of the Source this address belongs to.

created_atdatetimeRead-only
When this deposit address was provisioned.
updated_atdatetimeRead-only
When this deposit address was last modified.
achobjectOptional

ACH account details. Populated when type is ach.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error